@import 'bootstrap/bootstrap';
@import 'bootstrap/variables';
@import 'bootstrap/mixins';

$font-primary: 'Poppins',Arial, sans-serif;
$primary: #2f89fc;

body{
	font-family: $font-primary;
	font-size: 14px;
	line-height: 1.8;
	font-weight: normal;
	background: #fff;
	color: lighten($black,50%);
}
a {
	transition: .3s all ease;
	color: $primary;
	&:hover, &:focus {
		text-decoration: none !important;
		outline: none !important;
		box-shadow: none;
	}
}
button {
	transition: .3s all ease;
	&:hover, &:focus {
		text-decoration: none !important;
		outline: none !important;
		box-shadow: none !important;
	}
}
h1, h2, h3, h4, h5,
.h1, .h2, .h3, .h4, .h5 {
	line-height: 1.5;
	font-weight: 400;
	font-family: $font-primary;
	color: $black;
}


.ftco-section{
	padding: 7em 0;
}

.ftco-no-pt{
	padding-top: 0;
}
.ftco-no-pb{
	padding-bottom: 0;
}
//HEADING SECTION
.heading-section{
	font-size: 28px;
	color: $black;
	small{
		font-size: 18px;
	}
}

//COVER BG
.img{
	background-size: cover;
	background-repeat: no-repeat;
	background-position: center center;
}



//SIDEBAR
.wrapper {
  width: 100%;
}

#sidebar {
  min-width: 250px;
  max-width: 250px;
  background: #212121;
  color: #fff;
  transition: all 0.3s;
  position: relative;
  .h6{
  	color: $white;
  }
  &.active{
  	margin-left: -250px;
  	.custom-menu{
		margin-right: -50px;
  }
  }
  h1{
  	margin-bottom: 20px;
  	font-weight: 700;
  	font-size: 20px;
  	.logo{
  		color: $white;
  		display: block;
  		padding: 10px 30px;
  		background: $primary;
  	}
  }
  ul.components{
  	padding: 0;
  }
  ul{
    li{
    	font-size: 16px;
    	>ul{
    		margin-left: 10px;
    		li{
    			font-size: 14px;
    		}
    	}
    	a{
    		padding: 15px 30px;
		    display: block;
		    color: rgba(255,255,255,.6);
		    border-bottom: 1px solid rgba(255,255,255,.1);
		    &:hover{
		    	color: $white;
		    	background: $primary;
		    	border-bottom: 1px solid $primary;
		    }
    	}
    	&.active{
    		> a{
    			background: transparent;
    			color: $white;
    			&:hover{
    				background: $primary;
			    	border-bottom: 1px solid $primary;
    			}
    		}
    	}
    }
  }
  @include media-breakpoint-down(md){
    margin-left: -250px;
    &.active {
        margin-left: 0;
    }
    .custom-menu{
    	margin-right: -60px !important;
    	top: 10px !important;
    }
  }

  .custom-menu{
		display: inline-block;
		position: absolute;
		top: 10px;
		right: 0;
		margin-right: -50px;
		@include transition(.3s);
		.btn{
			&.btn-primary{
				background: transparent;
				border-color: transparent;
				i{
					color: black;
					font-size: 24px;
				}
				&:hover, &:focus{
					background: transparent !important;
					border-color: transparent !important;
				}
			}
		}
  }
}


a[data-toggle="collapse"] {
    position: relative;
}

.dropdown-toggle::after {
  display: block;
  position: absolute;
  top: 50%;
  right: 0;
  transform: translateY(-50%);
}

#sidebarCollapse{
	span{
		@include media-breakpoint-down(md){
	    display: none;
		}
	}
}

#content {
  width: 100%;
  padding: 0;
  min-height: 100vh;
  transition: all 0.3s;
}


.btn{
	&.btn-primary{
		background: $primary;
		border-color: $primary;
		&:hover, &:focus{
			background: $primary !important;
			border-color: $primary !important;
		}
	}
}




.form-control {
	height: 40px!important;
	background: $white;
	color: $black;
	font-size: 13px;
	border-radius: 4px;
	box-shadow: none !important;
	border: transparent;
	&:focus, &:active {
		border-color: $black;
	}
	&::-webkit-input-placeholder { /* Chrome/Opera/Safari */
	  color: rgba(255,255,255,.5);
	}
	&::-moz-placeholder { /* Firefox 19+ */
	  color: rgba(255,255,255,.5);
	}
	&:-ms-input-placeholder { /* IE 10+ */
	  color: rgba(255,255,255,.5);
	}
	&:-moz-placeholder { /* Firefox 18- */
	  color: rgba(255,255,255,.5);
	}
}


.subscribe-form{
	.form-control{
		background: lighten($primary,5%);
	}
}